Diligent Engine API Reference: Diligent::Texture1D_D3D11 Class Reference

Diligent Engine API Reference

List of all members
Diligent::Texture1D_D3D11 Class Reference

Implementation of a 1D texture. More...

Inheritance diagram for Diligent::Texture1D_D3D11:

## Additional Inherited Members
Public Member Functions inherited from Diligent::TextureBaseD3D11
virtual void | QueryInterface (const Diligent::INTERFACE_ID &IID, IObject **ppInterface) override final
| Queries the specific interface, see IObject::QueryInterface() for details.
virtual void | UpdateData (IDeviceContext *pContext, Uint32 MipLevel, Uint32 Slice, const Box &DstBox, const TextureSubResData &SubresData) override final
| Base implementaiton of ITexture::UpdateData(); validates input parameters.
virtual void | Map (IDeviceContext *pContext, Uint32 Subresource, MAP_TYPE MapType, Uint32 MapFlags, MappedTextureSubresource &MappedData) override final
| Base implementaiton of ITexture::Map()
virtual void | Unmap (IDeviceContext *pContext, Uint32 Subresource, MAP_TYPE MapType, Uint32 MapFlags) override final
| Base implementaiton of ITexture::Unmap()
virtual ID3D11Resource * | GetD3D11Texture () override final
| Returns a pointer to the ID3D11Resource interface of the internal Direct3D11 object. More...
virtual void * | GetNativeHandle () override final
| Returns native texture handle specific to the underlying graphics API. More...
void | CopyData (IDeviceContext *pContext, ITexture *pSrcTexture, Uint32 SrcMipLevel, Uint32 SrcSlice, const Box *pSrcBox, Uint32 DstMipLevel, Uint32 DstSlice, Uint32 DstX, Uint32 DstY, Uint32 DstZ)
| Base implementaiton of ITexture::CopyData(); validates input parameters.
Public Member Functions inherited from Diligent::TextureBase< ITextureD3D11, TextureViewD3D11Impl, FixedBlockMemoryAllocator >
| TextureBase (IReferenceCounters *pRefCounters, FixedBlockMemoryAllocator &TexViewObjAllocator, IRenderDevice *pDevice, const TextureDesc &Desc, bool bIsDeviceInternal=false)
virtual void | CreateView (const struct TextureViewDesc &ViewDesc, ITextureView **ppView) override
| Implementaiton of ITexture::CreateView(); calls CreateViewInternal() virtual function that creates texture view for the specific engine implementation.
void | CreateDefaultViews ()
| Creates default texture views. More...
Public Member Functions inherited from Diligent::DeviceObjectBase< ITextureD3D11, TextureDesc >
| DeviceObjectBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const TextureDesc &ObjDesc, bool bIsDeviceInternal=false)
virtual const TextureDesc & | GetDesc () const override final
UniqueIdentifier | GetUniqueID () const
| Returns unique identifier. More...
Public Member Functions inherited from Diligent::IDeviceObject
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.
Protected Member Functions inherited from Diligent::TextureBaseD3D11
void | CreateViewInternal (const struct TextureViewDesc &ViewDesc, ITextureView **ppView, bool bIsDefaultView) override final
| Pure virtual function that creates texture view for the specific engine implementation.
Protected Member Functions inherited from Diligent::TextureBase< ITextureD3D11, TextureViewD3D11Impl, FixedBlockMemoryAllocator >
ITextureView * | GetDefaultView (TEXTURE_VIEW_TYPE ViewType) override
| Implementation of ITexture::GetDefaultView().
Protected Attributes inherited from Diligent::TextureBaseD3D11
CComPtr< ID3D11Resource > | m_pd3d11Texture
| D3D11 texture.
Protected Attributes inherited from Diligent::TextureBase< ITextureD3D11, TextureViewD3D11Impl, FixedBlockMemoryAllocator >
std::unique_ptr< TextureViewD3D11Impl, STDDeleter< TextureViewD3D11Impl, FixedBlockMemoryAllocator > > | m_pDefaultSRV
| Default SRV addressing the entire texture.
std::unique_ptr< TextureViewD3D11Impl, STDDeleter< TextureViewD3D11Impl, FixedBlockMemoryAllocator > > | m_pDefaultRTV
| Default RTV addressing the most detailed mip level.
std::unique_ptr< TextureViewD3D11Impl, STDDeleter< TextureViewD3D11Impl, FixedBlockMemoryAllocator > > | m_pDefaultDSV
| Default DSV addressing the most detailed mip level.
std::unique_ptr< TextureViewD3D11Impl, STDDeleter< TextureViewD3D11Impl, FixedBlockMemoryAllocator > > | m_pDefaultUAV
| Default UAV addressing the entire texture.
Protected Attributes inherited from Diligent::DeviceObjectBase< ITextureD3D11, TextureDesc >
const String | m_ObjectNameCopy
| Copy of a device object name. More...
TextureDesc | m_Desc
| Object description.

## Detailed Description

Implementation of a 1D texture.